Subject: Re: [PATCH 10/10] chelesio: transmit locking (plus bug fix).

From: Stephen Hemminger <[email-masked]>
Date: Mon, 4 Dec 2006 09:58:28 -0800

On Sun, 3 Dec 2006 11:45:09 +0100
"Eric Lemoine" <[email-masked]> wrote:

> Stephen,
> 
> On 12/2/06, Stephen Hemminger <[email-masked]> wrote:
> > If transmit lock is contended on, then push return code back
> > and retry at higher level.
> 
> Looking at qdisc_restart, it seems to me that the NETDEV_TX_LOCKED
> return code must only be used if the device features LLTX. With your
> patch, if q->lock is already grabbed, qdisc_restart is going to
> requeue skb without going through the collision section of
> qdisc_restart.
>
The Chelsio driver already sets LLTX (see drivers/net/chelsio/cxgb2.c)